﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.KPI.KpiListViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "List of KPIs in row";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <div class="ibox-title">
                    <a asp-action="Create" asp-route-rowid="@Model.RowId" class="btn btn-default btn-sm">@Localizer["CreateKpi"]</a>
                    &nbsp;
                    <a asp-action="Index" asp-controller="DashboardRow" asp-route-id="@Model.DashboardId">@Localizer["BackToList"]</a>
                </div>
                <div class="ibox-content">
                    <div class="container-fluid">

                        @if (Model.Kpis.Count > 0)
                        {
                            <div class="row mb-2">
                                <div class="col-md-6 col-xs-12 pt-2">
                                    <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                         aria-live="polite">
                                        @Model.MessageNumberEntries
                                    </div>
                                </div>
                            </div>
                        }
                        <div class="row">
                            <div class="col-md-12">

                                <table class="table table-striped table-bordered table-hover dataTables-example">
                                    <thead>
                                        <tr>
                                            <th>
                                                @Localizer["EditLbl"]
                                            </th>
                                            <th>
                                                @Localizer["DeleteLbl"]
                                            </th>
                                            <th>
                                                @Localizer["UpLbl"]
                                            </th>
                                            <th>
                                                @Localizer["DownLbl"]
                                            </th>

                                            <th>
                                                @Html.DisplayNameFor(model => model.Kpis[0].Title)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Kpis[0].KpiMnemonic)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Kpis[0].PeriodForDisplay)
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.Kpis.Count > 0)
                                        {
                                            foreach (var item in Model.Kpis)
                                            {
                                        <tr>
                                            <td align="center">
                                                <a asp-action="Edit" asp-route-id="@item.KpiId"><i class="fa fa-edit"></i> </a>
                                            </td>
                                            <td align="center">
                                                <a asp-action="Delete" asp-route-id="@item.KpiId"><i class="fa fa-trash"></i> </a>
                                            </td>
                                            <td align="center">
                                                @if (item.CellNumber > 1)
                                                {
                                                    <a asp-action="MoveKpiUp" asp-route-rowid="@Model.RowId" asp-route-kpiId="@item.KpiId">
                                                        <i class="fa fa-arrow-up"></i>
                                                    </a>
                                                }
                                            </td>
                                            <td align="center">
                                                @if (item.CellNumber < Model.Kpis.Count)
                                                {
                                                    <a asp-action="MoveKpiDown" asp-route-rowid="@Model.RowId" asp-route-kpiId="@item.KpiId">
                                                        <i class="fa fa-arrow-down"></i>
                                                    </a>
                                                }
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Title)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.KpiMnemonic)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.PeriodName)
                                            </td>
                                        </tr>
                                            }
                                        }
                                        else
                                        {
                                            <tr>
                                                <td colspan="7" class="text-center">
                                                    @Localizer["NoKpis"]
                                                </td>
                                            </tr>
                                        }
                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>